Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.event
Interface KernelEventListener

public interface KernelEventListener

A listener

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`void` | `onEvent(KernelEvent event, Object handback)` Invoked when an event is fired

Method Detail

### onEvent

    public void onEvent(KernelEvent event,
                        Object handback)

  Invoked when an event is fired

  Parameters:
    `event` - the event
    `handback` - the handback object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.